
// DLP_ControlDlg.h : header file
//

#pragma once

class CDLP_ControlDlgAutoProxy;


// CDLP_ControlDlg dialog
class CDLP_ControlDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CDLP_ControlDlg);
	friend class CDLP_ControlDlgAutoProxy;

// Construction
public:
	CDLP_ControlDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CDLP_ControlDlg();

// Dialog Data
	enum { IDD = IDD_DLP_CONTROL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	CDLP_ControlDlgAutoProxy* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	BOOL m_USB_Connected;
};
